php的VC9-VC14运行库分享以及localhost访问404问题

最近打开phpstudy,一直报错说缺少VC9的运行环境,所以就在网上找了一些运行库,在这里分享给大家。

一、为什么运行php环境需要VC9的运行库

php5.35.4和apache都是用vc9编译,电脑必须安装vc9运行库才能运行。

php5.55.6是vc11编译,如用php5.55.6必须安装vc11运行库。

php7.07.1是vc14编译,如用php7.07.1必须安装vc14运行库。

vc9和vc11运行库下载:https://pan.baidu.com/s/1dF9LslV 密码:v7ap

php5.5以上才有64位的,其他均为32位。所以64位的系统最好把32位的运行库也安装上。

如果您下载的是32位的phpStudy,需要安装32位的运行库;32位的VC9运行库必须安装。

注意3点:1必须安装32位的运行库,2管理员身份运行,3兼容模式运行。

二、使用phpstudy需要注意的问题

1、是防火墙拦截

2、是80端口已经被别的程序占用,如IIS,迅雷等;

3、是没有安装VC9运行库,php和apache都是VC9编译。解决以上三个问题,99%能一次性安装成功

4、为了减少出错安装路径不得有汉字,如有防火墙开启,会提示是否信任httpd、mysqld运行,请选择全部允许。

/5、由于牵扯到注册服务、自解压等,个别弱智傻xx杀毒卫士,xx狗会误报病毒,不放心的可以安装后自行扫描。

三、关于升级phpstudy的问题

1、按照官方的文档升级phpstudy,下载最新的安装包
2、按照原来的安装路径安装,覆盖即可
3、phpsrtudy会自动覆盖,不会删除已有的项目

四、关于localhost访问404问题

这部分参考博客:配置成功之后,发现localhost不能访问了

五、VC库的下载链接:

链接:https://pan.baidu.com/s/1EhXHV4xv8a1ceZo8dNgSKQ
密码:vb2y

end

铁柱同学 CSDN认证博客专家 PHP 求知者 伪全栈
博主从事php开发已然五年,然入行越久越深感知识无限,学海无涯,非一时之功。故编写博客,用于自省记录,也遵循前辈们的教导,希望可以帮到更多的人。愿各位都能勇攀高峰,顺利成为大佬!奥利给!
相关推荐
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页
实付 19.90元
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值